Bug 105424 - I18N - Project properties dialog does not resize to show Java Platform version
I18N - Project properties dialog does not resize to show Java Platform version
Status: RESOLVED WONTFIX
Product: javaee
Classification: Unclassified
Component: Web Project
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Tomas Mysik
issues@javaee
: I18N
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-01 18:58 UTC by kaa
Modified: 2007-07-24 17:39 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
image (93.23 KB, image/jpeg)
2007-06-01 18:58 UTC, kaa
Details

Note You need to log in before you can comment on or make changes to this bug.
Description kaa 2007-06-01 18:58:03 UTC
build 0525

1. Create Web Application
2. Open project properties
3. Select Libraries category from the dialog

At the top part of the dialog there is a dropdown.
It does not resize to show Java Platform version.

Assumption is that user does not need to manually resize most windows or dialogs
to see all of the ui objects and information in them. I'am running in pseudo
localized locale in which each message/label is a bit longer than english to
account for that in some locales, translations result in longer strings than in
english. Also am running at fontsize 16, which is viewed as a valid font size
that might be used. Resizing issues are not just related to i18n; they might
show to user in english locale if they run at larger fontsize.
Comment 1 kaa 2007-06-01 18:58:46 UTC
Created attachment 43124 [details]
image
Comment 2 Radko Najman 2007-06-28 16:35:19 UTC
The combo box uses as much space as it can. The only solution probably is to try to compute the window width from the
text length and fontsize and set the window size before showing it.
Comment 3 Petr Jiricka 2007-07-03 11:58:16 UTC
Assigning to Tomas M.
Comment 4 Tomas Mysik 2007-07-24 17:14:42 UTC
So - this is problem because as you can see on the picture you have attached - what should be the *correct* behaviour? 
The 'Java Platform' label as well as the 'Manage Platforms' button are much wider than usual - so the only possibility 
is to change the size of the combobox... And I don't know how to solve this, really. Radko has proposed to change the 
window size - I don't agree because the property window already has any width and it would be really strange to change 
its size on-the-fly. So I suggest WONTFIX.
Adding Petr Blaha on CC because I've discussed this with him.
Comment 5 Ken Frank 2007-07-24 17:39:02 UTC
correct behavior would be for the dropdown box, and each viewed item of it when the dropdown is pushed
to show its choices - to show all of the label of each item.

I used to think this wasnt covered by requireements that some widget should show all its contents, but asked xdesign and
usability team
and they mentioned it was.

what I have heard in other discussions about resize is that by certain use of layout manager, it can happen
without needing to explicitly change window size.  whether it can happen for combobox I don't know.

I know that other dev have used this approach in general - I wish I had code sample and details about the approach
so could share it.

ken.frank@sun.com


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo